apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: opensearch-operator
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: https://opensearch-project.github.io/opensearch-k8s-operator/
    chart: opensearch-operator
    targetRevision: "3.0.2"
    helm:
      values: |
        manager:
          resources:
            requests:
              cpu: 200m
              memory: 350Mi
            limits:
              cpu: 500m
              memory: 500Mi
  destination:
    server: https://kubernetes.default.svc
    namespace: opensearch-operator
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
